Subject: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors

From: Alan Third <[email-masked]>
Date: Mon, 30 Dec 2019 14:13:06 +0000

"Daniel (Youngwhan) Song" <[email-masked]> writes:

> HI,
>
> After a MAC OS X Emacs starts, when I do "M-x list-colors-display", it
> shows only 37 colors. 
>
> David Caldwell showed me that it can be corrected
> by "Type "C-h v x-colors" to get help on the x-color variable. Then click
> where it says "common-win.el.gz" to go to the definition of the variable
> in the emacs source code. Then type "C-M-x" to re-evaluate that part of
> the code. Now when you do list-colors-display you should have 500+
> colors."
>
> It may be a bug, and should be fixed.

My money would be on the file ~/Library/Colors/Emacs.clr being corrupt
in some way.

Either way, it's been almost 8 years since the last report of this. Can
anyone confirm whether it's still a problem?
-- 
Alan Third